Page MenuHomeMiraheze

Migrating edits to new user accounts
Closed, ResolvedPublic

Description

On https://meta.miraheze.org/wiki/Talk:FAQ#Moving_from_another_host it says

users can just create accounts on Miraheze and they can be linked to previous contributions (from an XML import) by a sysadmin

So does that mean that edits by "imported>RobLa" can be adjusted so they are by user "RobLa" (and likewise for "imported>Araucaria‎" and anyone else from the old wiki who signs up)?

https://electowiki.org/w/index.php?title=Main_Page&action=history has edits by both imported and newly-created accounts, for example.

Event Timeline

When you upload an XML file with Special:Import there is a checkbox you can check that will “automatically assign edits to local users if the username exists”. This should accomplish what you want, assuming that I understand you correctly.

AmandaCath triaged this task as Normal priority.Sep 20 2018, 20:22
Psephomancy added a comment.EditedSep 20 2018, 22:58

Well the local users didn't exist when the XML was imported, so that doesn't help.

In other words, we're migrating this wiki over to your hosting, and users may or may not migrate as well, but it will be at a later date, and the wiki content has already been migrated.

AmandaCath closed this task as Resolved.Sep 27 2018, 11:18
AmandaCath claimed this task.

@Psephomancy unfortunately if the user accounts didn’t exist when the XML was imported, it is technically impossible to reassign the edits to accounts that didn’t exist at the time. There are only a few MediaWiki extensions that can do this, notably ChangeAuthor and UserMerge, however both are declined for Miraheze, the former due to being unmaintained and likely posing security risks, and the latter due to incompatibility with CentralAuth.

@AmandaCath Hmm. But if the user account does already exist then it will be used? So exporting XML, deleting a page, and reimporting it would fix the name history?

RobLa added a comment.Sep 27 2018, 16:42

@AmandaCath , I'm confused. It's my understanding that UserMerge is deployed by Wikimedia (judging from the list of deployed extensions on login.wikimedia.org), and that would imply that UserMerge and CentralAuth are compatible. Moreover, IIRC, UserMerge was pretty important extension for Wikimedia's deployment of Unified login.

@RobLa UserMerge was only deployed on WMF wikis for the SUL finalization. Additionally, UserMerge by itself (i.e. Special:UserMerge) is incompatible with CentralAuth since merging/deleting an account on one wiki would break the unified global account. However, CentralAuth has a feature called GlobalUserMerge (Special:GlobalUserMerge) that is part of the CentralAuth extension but requires the UserMerge extension in order to work properly. This is why WMF needed UserMerge, as the stewards and developers needed to user GlobalUserMerge a number of times to fix all of the SUL accounts. However, the tool has never been used since, and the right required to use it has been revoked on all wikis if I recall, and I know that local sysops or crats never had local access to Special:UserMerge on any individual wiki. Miraheze works in a similar way in that merging/deleting user accounts and their edits on one wiki would break the global account on all other wikis.

RobLa added a comment.Sep 27 2018, 17:46

@AmandaCath - thanks for the clarification. Almost all of the content on electowiki.miraheze.org was copied from wiki.electorama.com by @Psephomancy , which is totally legal provided that the copy is done in accordance with the Electowiki:Terms_of_Use (in short: provided it is done in accordance with CC-by-sa 3.0 for most articles). Do you believe that the attribution provided on the Miraheze copy of Electowiki is sufficient for the articles that are clearly published under CC-by-sa 3.0 by their respective authors?

John added a subscriber: John.Sep 27 2018, 17:47
This comment was removed by John.
Psephomancy added a comment.EditedNov 23 2018, 18:18

Miraheze works in a similar way in that merging/deleting user accounts and their edits on one wiki would break the global account on all other wikis.

Hmmm.. wait a second. We aren't asking to merge or delete user accounts. We're asking to modify the edit history to point to user pages that were imported along with the wiki.

For instance, https://electowiki.org/w/index.php?title=Main_Page&action=history lists edits by imported>DanKeshet‎, for instance. The user page https://electowiki.org/wiki/User:DanKeshet was also imported from the old wiki along with the main namespace content, and we would like the edit history to link to his page, even though he hasn't created an account on the new wiki yet.

I think this would be possible for us bureaucrats by exporting a page, string replacing imported>, deleting the page, and re-importing it after all the user accounts have been created, though this would clutter up the delete log (which probably leaves duplicate copies of everything on the server?) and we have no control over who re-creates accounts at what time.

I assume the same would also be possible, more cleanly, by doing a string replacement in the wiki content database, without affecting any user account information?

(For comparison, https://electowiki.org/wiki/User:Araucaria created an account after their user page had already been imported, and nothing bad happened. So this would just leave the edit history pointing to the user pages, whether an account has been created for that user or not, and when they do create an account they will just take over their existing user page.

(We should probably encourage people to migrate accounts soon though, to prevent them from being hijacked, though that seems unlikely.

(Actually, can we block account creation until someone proves that they are the same person as the old account?)))

Can someone comment on my previous comment? We'd like to solve this to meet the attribution requirements of the Creative Commons license.

Void added a comment.Jan 1 2019, 03:52

A user's contributions can still be attached to their account, without the need to delete and re-import content. However, it will require the use of a maintenance script. In terms of attribution, we believe that, as long as the full history of the pages is preserved, attribution is satisfied. We do not believe it to be within reason to require that all pages that were imported from another source link back to the original page.

However, it will require the use of a maintenance script.

Would you be willing to do that?

For example, https://electowiki.org/w/index.php?title=BPW&action=history should have clickable links to https://electowiki.org/wiki/User:KVenzke, like https://wiki.electorama.com/w/index.php?title=BPW&action=history does, instead of just showing an unclickable imported>KVenzke.

In terms of attribution, we believe that, as long as the full history of the pages is preserved, attribution is satisfied.

Yes, I believe that's fine as long as the links from Page History to User space are restored. All of the author info that was on the original domain exists on the new domain, so the attribution will be the same as it was before.

RobLa added a comment.EditedThu, Mar 7, 06:44

@Psephomancy suggested:

For example, https://electowiki.org/w/index.php?title=BPW&action=history should have clickable links to https://electowiki.org/wiki/User:KVenzke, [...] instead of just showing an unclickable imported>KVenzke.

This seems entirely reasonable attribution to me. KVenzke doesn't have a user account on Miraheze (yet), but KVenzke's user page was migrated, and gives reasonable attribution (providing the name and contact information he chose to provide while he was authoring the content on wiki.electorama.com in 2012). But it seems the link from the history page to the imported user page needs to exist for it to be a reasonable substitute for linking back to the original wiki.

@Void , what's the prognosis for providing a maintenance script fixup of the page histories?